SET DEFINE OFF;
whenever sqlerror exit sql.sqlcode ;

-- Ajout d'une colonne sd_ordre
ALTER TABLE ACCORDS.AVENANT
 ADD (
    DS_ORDRE NUMBER
 );
 
GRANT REFERENCES on GRHUM.DOMAINE_SCIENTIFIQUE TO ACCORDS;
ALTER TABLE ACCORDS.AVENANT ADD (
  CONSTRAINT FK_AVENANT_DS_ORDRE 
 FOREIGN KEY (DS_ORDRE) 
 REFERENCES GRHUM.DOMAINE_SCIENTIFIQUE(DS_ORDRE));
 
-- Maj de  la version 
Insert into ACCORDS.VERSION_HISTO (VH_ORDRE,VH_NUM,VH_DATE_EXEC,VH_LIBELLE) values (accords.VERSION_HISTO_SEQ.nextval,'2.1.0.2',to_date('28/02/2011','DD/MM/YYYY'),'Ajout clef etrangere AVENANT.DS_ORDRE');
commit;
